Initiate Object Action on Multiple Records
Use this request to initiate an object user action on multiple records. Maximum 500 records per batch.
POST
/api/{version}/vobjects/{object_name}/actions/{action_name}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
object_name | The object name__v field value. |
action_name | Either the name of the Objectaction or Objectlifecyclestateuseraction to initiate. This is obtained from the Retrieve User Actions request. The format for action_name is Objectaction.vobject.action or Objectlifecyclestateuseraction.vobject.state.action. |
Body Parameters
Section link for Body ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "ids: 0MO0771, 0MO0772, 0MO0773" \
https://myvault.veevavault.com/api/v22.3/vobjects/monitoring_event__v/actions/Objectaction.monitoring_event__v.copy_record__vResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": "0MO0771"
},
{
"responseStatus": "SUCCESS",
"id": "0MO0772"
},
{
"responseStatus": "FAILURE",
"id": "0MO0773",
"errors": [
{
"type": "INSUFFICIENT_ACCESS",
"message": "User does not have sufficient privileges to perform the action"
}
]
}
]
}